<?php
/**
 * Active Callbacks
 *
 * @package aster_it_courses
 */

// Theme Options.
function aster_it_courses_is_pagination_enabled( $aster_it_courses_control ) {
	return ( $aster_it_courses_control->manager->get_setting( 'aster_it_courses_enable_pagination' )->value() );
}
function aster_it_courses_is_breadcrumb_enabled( $aster_it_courses_control ) {
	return ( $aster_it_courses_control->manager->get_setting( 'aster_it_courses_enable_breadcrumb' )->value() );
}
function aster_it_courses_is_layout_enabled( $aster_it_courses_control ) {
	return ( $aster_it_courses_control->manager->get_setting( 'aster_it_courses_website_layout' )->value() );
}
function aster_it_courses_is_pagetitle_bcakground_image_enabled( $aster_it_courses_control ) {
	return ( $aster_it_courses_control->manager->get_setting( 'aster_it_courses_page_header_style' )->value() );
}
function aster_it_courses_is_preloader_style( $aster_it_courses_control ) {
	return ( $aster_it_courses_control->manager->get_setting( 'aster_it_courses_enable_preloader' )->value() );
}

// Header Options.
function aster_it_courses_is_topbar_enabled( $aster_it_courses_control ) {
	return ( $aster_it_courses_control->manager->get_Setting( 'aster_it_courses_enable_topbar' )->value() );
}

// Banner Slider Section.
function aster_it_courses_is_banner_slider_section_enabled( $aster_it_courses_control ) {
	return ( $aster_it_courses_control->manager->get_setting( 'aster_it_courses_enable_banner_section' )->value() );
}
function aster_it_courses_is_banner_slider_section_and_content_type_post_enabled( $aster_it_courses_control ) {
	$aster_it_courses_content_type = $aster_it_courses_control->manager->get_setting( 'aster_it_courses_banner_slider_content_type' )->value();
	return ( aster_it_courses_is_banner_slider_section_enabled( $aster_it_courses_control ) && ( 'post' === $aster_it_courses_content_type ) );
}
function aster_it_courses_is_banner_slider_section_and_content_type_page_enabled( $aster_it_courses_control ) {
	$aster_it_courses_content_type = $aster_it_courses_control->manager->get_setting( 'aster_it_courses_banner_slider_content_type' )->value();
	return ( aster_it_courses_is_banner_slider_section_enabled( $aster_it_courses_control ) && ( 'page' === $aster_it_courses_content_type ) );
}

// Service section.
function aster_it_courses_is_post_tab_section_and_content_type_page_enabled( $aster_it_courses_control ) {
	$aster_it_courses_content_type = $aster_it_courses_control->manager->get_setting( 'aster_it_courses_banner_slider_content_type' )->value();
	return ( aster_it_courses_is_banner_slider_section_enabled( $aster_it_courses_control ) && ( 'page' === $aster_it_courses_content_type ) );
}
function aster_it_courses_is_post_tab_section_and_content_type_post_enabled( $aster_it_courses_control ) {
	$aster_it_courses_content_type = $aster_it_courses_control->manager->get_setting( 'aster_it_courses_banner_slider_content_type' )->value();
	return ( aster_it_courses_is_banner_slider_section_enabled( $aster_it_courses_control ) && ( 'post' === $aster_it_courses_content_type ) );
}
function aster_it_courses_is_service_section_enabled( $aster_it_courses_control ) {
	return ( $aster_it_courses_control->manager->get_setting( 'aster_it_courses_enable_service_section' )->value() );
}
function aster_it_courses_is_service_section_and_content_type_post_enabled( $aster_it_courses_control ) {
	$aster_it_courses_content_type = $aster_it_courses_control->manager->get_setting( 'aster_it_courses_service_content_type' )->value();
	return ( aster_it_courses_is_service_section_enabled( $aster_it_courses_control ) && ( 'post' === $aster_it_courses_content_type ) );
}
function aster_it_courses_is_service_section_and_content_type_page_enabled( $aster_it_courses_control ) {
	$aster_it_courses_content_type = $aster_it_courses_control->manager->get_setting( 'aster_it_courses_service_content_type' )->value();
	return ( aster_it_courses_is_service_section_enabled( $aster_it_courses_control ) && ( 'page' === $aster_it_courses_content_type ) );
}